From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/paste/
Date: Tue, 9 May 2017 18:43:24 +0000 (UTC) [thread overview]
Message-ID: <1494355394.36f0dc2c347ab4191e1915a735186d85c6e374e6.mgorny@gentoo> (raw)
commit: 36f0dc2c347ab4191e1915a735186d85c6e374e6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 9 17:35:53 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 9 18:43:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36f0dc2c
dev-python/paste: Fix namespace support
dev-python/paste/paste-2.0.3-r1.ebuild | 73 ++++++++++++++++++++++++++++++++++
1 file changed, 73 insertions(+)
diff --git a/dev-python/paste/paste-2.0.3-r1.ebuild b/dev-python/paste/paste-2.0.3-r1.ebuild
new file mode 100644
index 00000000000..f04a833f6d4
--- /dev/null
+++ b/dev-python/paste/paste-2.0.3-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+MY_PN="Paste"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Tools for using a Web Server Gateway Interface stack"
+HOMEPAGE="http://pythonpaste.org https://pypi.python.org/pypi/Paste"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris"
+IUSE="doc flup openid"
+
+RDEPEND="dev-python/namespace-paste[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=dev-python/tempita-0.5.2_pre20130828[${PYTHON_USEDEP}]
+ flup? ( dev-python/flup[$(python_gen_usedep 'python2*')] )
+ openid? ( dev-python/python-openid[$(python_gen_usedep 'python2*')] )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ # Disable failing tests.
+ rm -f tests/test_cgiapp.py || die
+ sed \
+ -e "s/test_find_file/_&/" \
+ -e "s/test_deep/_&/" \
+ -e "s/test_static_parser/_&/" \
+ -i tests/test_urlparser.py || die "sed failed"
+
+ # Remove a test that runs against the paste website.
+ rm -f tests/test_proxy.py || die
+
+ local PATCHES=(
+ "${FILESDIR}"/${P}-unbundle-tempita.patch
+ )
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile egg_info --egg-base "${BUILD_DIR}/lib"
+}
+
+python_compile_all() {
+ use doc && esetup.py build_sphinx
+}
+
+python_test() {
+ nosetests -P -v || die "Tests fail with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install egg_info --egg-base "${BUILD_DIR}/lib"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ distutils-r1_python_install_all
+
+ find "${D}" -name '*.pth' -delete || die
+}
next reply other threads:[~2017-05-09 18:43 UTC|newest]
Thread overview: 81+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-05-09 18:43 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-26 18:54 [gentoo-commits] repo/gentoo:master commit in: dev-python/paste/ Arthur Zamarin
2024-07-11 20:55 James Le Cuirot
2024-05-18 16:37 Michał Górny
2024-05-17 8:10 Michał Górny
2024-05-17 8:08 Michał Górny
2024-05-02 2:00 Michał Górny
2024-04-28 2:37 Michał Górny
2024-04-20 9:51 Michał Górny
2024-04-20 9:48 Michał Górny
2024-04-06 12:37 Michał Górny
2024-04-06 10:02 Arthur Zamarin
2024-04-05 18:52 Michał Górny
2024-03-17 3:31 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 19:12 Arthur Zamarin
2023-10-19 12:16 Michał Górny
2023-10-15 17:56 Michał Górny
2023-10-03 5:11 Michał Górny
2023-06-01 17:22 Michał Górny
2023-06-01 17:17 Arthur Zamarin
2023-05-28 16:25 Michał Górny
2023-04-30 14:56 Michał Górny
2023-04-30 14:56 Michał Górny
2022-09-20 5:57 Michał Górny
2022-09-19 20:07 Arthur Zamarin
2022-08-19 14:18 Arthur Zamarin
2022-07-24 20:24 Michał Górny
2022-06-22 17:31 Arthur Zamarin
2022-05-17 7:21 Michał Górny
2022-04-19 19:50 Michał Górny
2022-04-19 13:39 Michał Górny
2022-04-19 11:44 Arthur Zamarin
2022-04-11 20:17 Michał Górny
2021-07-28 23:38 Marek Szuba
2021-05-10 21:56 Michał Górny
2020-11-15 7:54 Michał Górny
2020-11-15 5:19 Sam James
2020-11-02 14:48 Michał Górny
2020-11-02 11:51 Sam James
2020-10-14 9:17 Agostino Sarubbo
2020-10-12 19:42 Michał Górny
2020-09-26 10:55 Michał Górny
2020-09-25 7:58 Michał Górny
2020-09-18 15:30 Michał Górny
2020-09-09 22:16 Michał Górny
2020-09-09 0:02 Sam James
2020-07-25 8:31 Michał Górny
2020-07-23 10:00 Michał Górny
2020-07-14 13:19 Sam James
2020-07-14 12:01 Michał Górny
2020-07-09 13:01 Michał Górny
2020-07-06 16:44 Sergei Trofimovich
2020-06-05 5:54 Michał Górny
2020-05-26 16:57 Michał Górny
2020-04-24 16:20 Sergei Trofimovich
2020-03-31 8:41 Mikle Kolyada
2020-03-31 8:41 Mikle Kolyada
2020-03-30 21:24 Sergei Trofimovich
2020-03-30 13:39 Agostino Sarubbo
2020-03-29 14:45 Sergei Trofimovich
2020-03-28 11:44 Michał Górny
2020-03-28 11:44 Michał Górny
2020-03-28 11:36 Michał Górny
2020-03-25 17:44 Agostino Sarubbo
2020-03-25 15:25 Agostino Sarubbo
2020-03-16 20:09 Matt Turner
2020-01-27 7:22 Michał Górny
2020-01-27 7:22 Michał Górny
2019-12-08 23:31 Sergei Trofimovich
2019-12-02 10:58 Mikle Kolyada
2019-11-27 21:21 Patrick McLean
2019-05-11 19:06 Matthew Thode
2019-04-16 2:47 Matthew Thode
2019-04-10 5:08 Matthew Thode
2019-04-09 7:05 Matthew Thode
2018-03-24 11:21 Michał Górny
2017-05-09 18:43 Michał Górny
2017-01-29 17:15 Fabian Groffen
2016-03-25 4:13 Matt Thode
2016-02-28 7:25 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1494355394.36f0dc2c347ab4191e1915a735186d85c6e374e6.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox